<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: dense_rank</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for dense_rank {SparkR}"><tr><td>dense_rank {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>dense_rank</h2>

<h3>Description</h3>

<p>Window function: returns the rank of rows within a window partition, without any gaps.
The difference between rank and dense_rank is that dense_rank leaves no gaps in ranking
sequence when there are ties. That is, if you were ranking a competition using dense_rank
and had three people tie for second place, you would say that all three were in second
place and that the next person came in third.
</p>


<h3>Usage</h3>

<pre>
## S4 method for signature 'missing'
dense_rank()

dense_rank(x)
</pre>


<h3>Details</h3>

<p>This is equivalent to the DENSE_RANK function in SQL.
</p>


<h3>See Also</h3>

<p>Other window_funcs: <code><a href="cume_dist.html">cume_dist</a></code>,
<code><a href="cume_dist.html">cume_dist</a></code>; <code><a href="lag.html">lag</a></code>,
<code><a href="lag.html">lag</a></code>; <code><a href="lead.html">lead</a></code>,
<code><a href="lead.html">lead</a></code>; <code><a href="ntile.html">ntile</a></code>,
<code><a href="ntile.html">ntile</a></code>; <code><a href="percent_rank.html">percent_rank</a></code>,
<code><a href="percent_rank.html">percent_rank</a></code>; <code><a href="rank.html">rank</a></code>,
<code><a href="rank.html">rank</a></code>; <code><a href="row_number.html">row_number</a></code>,
<code><a href="row_number.html">row_number</a></code>
</p>


<h3>Examples</h3>

<pre>
## Not run: dense_rank()
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
